Build fails: Could not find org.ros.rosjava_messages:costmap_2d

asked 2017-06-24 07:58:10 -0500

schrottulk gravatar image

Hi, i am working on a ros project with ros-kinetic on Ubuntu 16.04 and suddenly catkin-make fails with the attached error message. I already tried reinstalling

ros-kinetic-navigation

and every costmap package

ros-kinetic-cost*

but it does still not work. Any help would be appreciated!

FAILURE: Build failed with an exception.

    * What went wrong:
Could not resolve all dependencies for configuration ':runtime'.
> Could not find org.ros.rosjava_messages:costmap_2d:1.14.0.
  Searched in the following locations:
      file:/home/username/ROS/catkin_ws/devel/share/maven/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.pom
      file:/home/username/ROS/catkin_ws/devel/share/maven/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.jar
      file:/opt/ros/kinetic/share/maven/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.pom
      file:/opt/ros/kinetic/share/maven/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.jar
      https://github.com/rosjava/rosjava_mvn_repo/raw/master/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.pom
      https://github.com/rosjava/rosjava_mvn_repo/raw/master/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.jar
      file:/home/username/.m2/repository/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.pom
      file:/home/username/.m2/repository/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.jar
      http://repository.springsource.com/maven/bundles/release/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.pom
      http://repository.springsource.com/maven/bundles/release/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.jar
      http://repository.springsource.com/maven/bundles/external/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.pom
      http://repository.springsource.com/maven/bundles/external/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.jar
      https://jcenter.bintray.com/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.pom
      https://jcenter.bintray.com/org/ros/rosjava_messages/costmap_2d/1.14.0/costmap_2d-1.14.0.jar
  Required by:
      org.ros.rosjava_messages:ros_semanticmap:0.0.1
edit retag flag offensive close merge delete

Comments

This is all rosjava related: are you using rosjava for anything?

gvdhoorn gravatar imagegvdhoorn ( 2017-06-24 08:39:16 -0500 )edit

Hi gvdhoorn, no I am not using rosjava. And the error does not occur if I delete costmap_2d from my CMakeLists.txt and the package.xml, so I think it's related to the package costmap_2d?

schrottulk gravatar imageschrottulk ( 2017-06-24 09:31:04 -0500 )edit

How did you resolve this? I have the same problem...

fmrico gravatar imagefmrico ( 2018-08-14 01:39:56 -0500 )edit